- Qt 6.5
- Qt 3D
- C++ Classes
- Qt3DRender
- QDithering
- Qt 6.5.1 Reference Documentation

# QDithering Class

class Qt3DRender::QDithering

Enable dithering. More...

Header: | #include <QDithering>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3drender) target_link_libraries(mytarget PRIVATE Qt6::3drender)
qmake: | QT += 3drender
Instantiated By: | Dithering
Inherits: | Qt3DRender::QRenderState

- List of all members, including inherited members

## Public Functions

| QDithering(Qt3DCore::QNode *parent = nullptr)

## Detailed Description

A Qt3DRender::QDithering class enables dithering. Dithering adds noise to the color values to randomize quantization error in order to prevent large scale patterns in the final image, such as banding. Dithering is most useful when rendering to a surface with low color bit depth, such as RGB565 or RGBA4444.

## Member Function Documentation

### `[explicit]` QDithering::QDithering(Qt3DCore::QNode *parent = nullptr)

The constructor creates a new QDithering::QDithering instance with the specified parent.